Bug 1649471 - [Container Admin] Docker repositories sync - Limit Sync Tags is ignored
Summary: [Container Admin] Docker repositories sync - Limit Sync Tags is ignored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 16:32 UTC by Mirek Zalewski
Modified: 2019-10-07 17:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Foreman Issue Tracker 25615 None None None 2018-12-04 06:56:43 UTC

Description Mirek Zalewski 2018-11-13 16:32:25 UTC
Content of "Limit Sync Tags" field on docker repository page doesn't seem to take any effect when synchronizing repo.

I was able to download only selected tag using `pulp-admin` and instructions at https://docs.pulpproject.org/plugins/pulp_docker/user-guide/recipes.html#whitelist-tags-to-sync . It seems that Pulp part is working fine, but integration between Katello and Pulp is not working properly.

This issue is also present in upstream version of Foreman.


Version-Release number of selected component (if applicable):
Satellite 6.5 snap 3
pulp-server-2.17.1-1.el7sat.noarch
katello-3.9.0-0.11.rc2.el7sat.noarch
foreman-1.20.0-0.17.RC2.el7sat.noarch
satellite-6.5.0-3.beta.el7sat.noarch


Steps to Reproduce:
1. Create new product
2. Add repo of type docker to it; registry URL: https://registry-1.docker.io/ ; Upstream repository name: alpine
3. Set Limit Sync Tags value to `latest`
4. Sync repo


Actual results:
Entire repo is synced; Container Image Tags shows that 12 tags were synced

Expected results:
Only selected tag is synced (actually, I think all synonymous tags will be synced).

Additional info:

Comment 4 Partha Aji 2018-12-04 06:38:51 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25612 from this bug

Comment 5 Partha Aji 2018-12-04 06:56:42 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25615 from this bug

Comment 6 Mirek Zalewski 2019-01-03 13:31:19 UTC
"Limit Sync Tags" is working as of Satellite 6.5 snap 9.
After setting option to "latest" and syncing repository, Content Count shows that only one tag was synchronized. Sync is quick as well.

Tested on:
Satellite 6.5 snap 9
foreman-1.20.1.2-1.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch
satellite-6.5.0-5.beta.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch

Comment 8 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.